card
curl --request POST \
--url https://api.flutterwave.com/v3/charges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"amount": 100,
"currency": "NGN",
"card_number": "5531886652142950",
"expiry_month": "09",
"expiry_year": "32",
"cvv": "564",
"redirect_url": "https://www.google.com",
"email": "developers@flutterwavego.com",
"meta": {
"extraData": "Some data I want to access later"
}
}
'import requests
url = "https://api.flutterwave.com/v3/charges"
payload = {
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"amount": 100,
"currency": "NGN",
"card_number": "5531886652142950",
"expiry_month": "09",
"expiry_year": "32",
"cvv": "564",
"redirect_url": "https://www.google.com",
"email": "developers@flutterwavego.com",
"meta": { "extraData": "Some data I want to access later" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tx_ref: 'YOUR_UNIQUE_REFERENCE',
amount: 100,
currency: 'NGN',
card_number: '5531886652142950',
expiry_month: '09',
expiry_year: '32',
cvv: '564',
redirect_url: 'https://www.google.com',
email: 'developers@flutterwavego.com',
meta: {extraData: 'Some data I want to access later'}
})
};
fetch('https://api.flutterwave.com/v3/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Successful",
"data": {
"id": 4973065,
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"flw_ref": "FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1",
"device_fingerprint": "N/A",
"amount": 100,
"charged_amount": 100,
"app_fee": 1.4,
"merchant_fee": 0,
"processor_response": "Please enter the OTP sent to your mobile number 080****** and email te**@rave**.com",
"auth_model": "NOAUTH",
"currency": "NGN",
"ip": "52.209.154.143",
"narration": "CARD Transaction ",
"status": "successful",
"auth_url": "https://ravesandboxapi.flutterwave.com/mockvbvpage?ref=FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1&code=00&message=Approved.%20Successful&receiptno=RN1710749806478",
"payment_type": "card",
"plan": null,
"fraud_status": "ok",
"charge_type": "normal",
"created_at": "2024-03-18T08:16:46.000Z",
"account_id": 20937,
"customer": {
"id": 2373734,
"phone_number": null,
"name": "Anonymous customer",
"email": "developers@flutterwavego.com",
"created_at": "2024-03-18T08:16:46.000Z"
},
"card": {
"first_6digits": "553188",
"last_4digits": "2950",
"issuer": "MASTERCARD CREDIT",
"country": "NG",
"type": "MASTERCARD",
"expiry": "09/32"
}
}
}{
"status": "error",
"message": "BIN not Found",
"data": null
}Charges
Create a charge
Create a charge
POST
/
charges
card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"card"
Body
application/json
Show child attributes
Show child attributes
Example:
{
"extraData": "Some data I want to access later"
}
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 4973065,
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"flw_ref": "FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1",
"device_fingerprint": "N/A",
"amount": 100,
"charged_amount": 100,
"app_fee": 1.4,
"merchant_fee": 0,
"processor_response": "Please enter the OTP sent to your mobile number 080****** and email te**@rave**.com",
"auth_model": "NOAUTH",
"currency": "NGN",
"ip": "52.209.154.143",
"narration": "CARD Transaction ",
"status": "successful",
"auth_url": "https://ravesandboxapi.flutterwave.com/mockvbvpage?ref=FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1&code=00&message=Approved.%20Successful&receiptno=RN1710749806478",
"payment_type": "card",
"plan": null,
"fraud_status": "ok",
"charge_type": "normal",
"created_at": "2024-03-18T08:16:46.000Z",
"account_id": 20937,
"customer": {
"id": 2373734,
"phone_number": null,
"name": "Anonymous customer",
"email": "developers@flutterwavego.com",
"created_at": "2024-03-18T08:16:46.000Z"
},
"card": {
"first_6digits": "553188",
"last_4digits": "2950",
"issuer": "MASTERCARD CREDIT",
"country": "NG",
"type": "MASTERCARD",
"expiry": "09/32"
}
}
Was this page helpful?
⌘I